<ng-container *ngIf="!started && !result">
  <app-categories
    *ngIf="categories"
    [categories]="categories"
    [errorMessage]="errorMessage"
    [selectedCategory]="selectedCategory"
    (changeCategoryEvent)="changeCategory($event)"
  ></app-categories>

  <div class="dashboard">
    <div class="d-flex align-items-center justify-content-center flex-wrap">
      <div class="btn-group" mdbDropdown>
        <button
          mdbDropdownToggle
          mdbBtn
          color="unique"
          size="lg"
          class="dropdown-toggle waves-light"
          type="button"
          mdbWavesEffect
        >
          Number of Questions: {{ amount }}
        </button>
        <div class="dropdown-menu">
          <a
            (click)="selectNumberOfQuestions(5)"
            class="dropdown-item"
            [class.active]="amount === 5"
          >
            5
          </a>
          <a
            (click)="selectNumberOfQuestions(10)"
            class="dropdown-item"
            [class.active]="amount === 10"
          >
            10
          </a>
          <a
            (click)="selectNumberOfQuestions(20)"
            class="dropdown-item"
            [class.active]="amount === 20"
          >
            20
          </a>
        </div>
      </div>

      <div class="btn-group" mdbDropdown>
        <button
          mdbDropdownToggle
          mdbBtn
          color="unique"
          size="lg"
          class="dropdown-toggle waves-light"
          type="button"
          mdbWavesEffect
        >
          Difficulty: {{ difficulty }}
        </button>
        <div class="dropdown-menu">
          <a
            class="dropdown-item"
            (click)="selectDifficulty('easy')"
            [class.active]="difficulty === 'easy'"
          >
            EASY
          </a>
          <a
            (click)="selectDifficulty('medium')"
            class="dropdown-item"
            [class.active]="difficulty === 'medium'"
          >
            MEDIUM
          </a>
          <a
            class="dropdown-item"
            (click)="selectDifficulty('hard')"
            [class.active]="difficulty === 'hard'"
          >
            HARD
          </a>
        </div>
      </div>

      <div class="btn-group" mdbDropdown>
        <button
          mdbDropdownToggle
          mdbBtn
          color="unique"
          size="lg"
          class="dropdown-toggle waves-light"
          type="button"
          mdbWavesEffect
        >
          Type: {{ type }}
        </button>
        <div class="dropdown-menu">
          <a
            class="dropdown-item"
            (click)="selectQuestionsType('multiple')"
            [class.active]="type === 'multiple'"
          >
            Multiple Choice</a
          >
          <a
            class="dropdown-item"
            (click)="selectQuestionsType('boolean')"
            [class.active]="type === 'boolean'"
          >
            True and False
          </a>
        </div>
      </div>
    </div>

    <div
      class="d-flex align-items-center justify-content-center flex-column generate-reset--buttons"
    >
      <button
        (click)="generateTest()"
        mdbBtn
        type="button"
        gradient="blue"
        rounded="true"
        mdbWavesEffect
      >
        Generate Test
      </button>
    </div>
  </div>
</ng-container>

<app-questions
  *ngIf="started"
  [categoryId]="selectedCategory.id"
  [amount]="amount"
  [difficulty]="difficulty"
  [type]="type"
  (handleResultEvent)="handleResult($event)"
  [generateNewQuestions]="generateNewQuestions"
  (getTokenEvent)="getToken($event)"
  [token]="token"
></app-questions>

<app-result *ngIf="result" [result]="result"> </app-result>

<div
  *ngIf="result"
  class="d-flex align-items-center justify-content-center flex-wrap generate-reset--buttons"
>
  <button
    (click)="generateTest()"
    mdbBtn
    type="button"
    gradient="blue"
    rounded="true"
    mdbWavesEffect
  >
    Generate Another Custom Test
  </button>

  <button
    (click)="changeSettings()"
    mdbBtn
    type="button"
    gradient="blue"
    rounded="true"
    mdbWavesEffect
  >
    Change Settings
  </button>
</div>
